# wechat-js-sdk

jweixin umd to npm

### install

npm

    npm -i wechat-js-sdk --save
    
yarn

    yarn add wechat-js-sdk

### use

import

    import wx from 'wechat-js-sdk'

require

    const wx = require('wechat-js-sdk')

### upgrade

step1.

    cp jweixin-x.y.z.js index.js

step2.

modify old code

```
!function(e, n) {
  'function' == typeof define && (define.amd || define.cmd) ?
      define(function() {
        return n(e)
      }) :
      n(e, !0)
}(this, function(e, n) {
```

to new code

```
!function (e, n) {
  if (typeof module === 'object' && typeof module.exports === 'object') {
    module.exports = n(e);
  } else {
    'function' == typeof define && (define.amd || define.cmd) ?
      define(function () {
        return n(e)
      }) :
      n(e, !0)
  }
}(window, function (e, n) {
```

### version
[jweixin-1.3.0.js](https://res.wx.qq.com/open/js/jweixin-1.3.0.js)

### remark

  check the demo or create a issues